Welcome to Qi-U Community for programmer and developer-Open, Learning and Share
Welcome To Ask or Share your Answers For Others

Categories

0 votes
622 views
in Technique[技术] by (71.8m points)

多个项目使用的webpack版本不同怎么打包?

拿到两个react项目(吐槽一下:我没写过react,我只会vue啊)
配置文件是这样的:
image
image

我全局的webpack用的是4
image

打包这两个react项目的时候报错:
image

我度娘了是webpack版本问题
怎么才能都降到1.13打包
我在本地删了重新install也不行,指定版本install也不行

另外想问一下这两个项目是不是没有使用react的脚手架 直接用webpack编译打包的?


与恶龙缠斗过久,自身亦成为恶龙;凝视深渊过久,深渊将回以凝视…
Welcome To Ask or Share your Answers For Others

Please log in or register to answer this question.

1 Answer

0 votes
by (71.8m points)

使用node_modules中安装的webpack去执行,而不是使用环境中注册的。参考下


ode_modules.binwebpack -v

与恶龙缠斗过久,自身亦成为恶龙;凝视深渊过久,深渊将回以凝视…
Welcome to Qi-U Community for programmer and developer-Open, Learning and Share
...